Skip to main content
POST
/
v1
/
table
/
{id}
/
update_field_metadata
Update per-field metadata
curl --request POST \
  --url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/update_field_metadata \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "updates": [
    {
      "path": "<string>",
      "metadata": {},
      "replace": true
    }
  ],
  "identity": {
    "api_key": "<string>",
    "auth_token": "<string>"
  },
  "id": [
    "<string>"
  ],
  "branch": "<string>"
}
'
{
  "version": 1,
  "fields": {}
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

string identifier of an object in a namespace, following the Lance Namespace spec. When the value is equal to the delimiter, it represents the root namespace. For example, v1/namespace/$/list performs a ListNamespace on the root namespace.

Query Parameters

delimiter
string

An optional delimiter of the string identifier, following the Lance Namespace spec. When not specified, the $ delimiter must be used.

Body

application/json
updates
object[]
required

List of per-field metadata updates to apply

identity
object

Identity information of a request.

id
string[]

Table identifier path (namespace + table name)

branch
string

Branch to target. When not specified, the main branch is used.

Response

Field metadata update result

version
integer<int64>
required

The commit version associated with the operation

Required range: x >= 0
fields
object

Resulting metadata for each updated field, keyed by field path.